<template>
  <div>
    <p> {{ $t('custom-logo') }}</p>
    <div class="custom-file">
      <input @change="saveBase64($event);" type="file" class="custom-file-input">
      <label class="custom-file-label">{{ $t('modify') }}</label>
    </div>
  </div>
</template>

<script>
export default {
  methods: {
    saveBase64 (event) {
      const reader = new FileReader()
      reader.readAsDataURL(event.target.files[0])
      reader.onload = () => {
        this.$store.state.custom.logo = reader.result
        this.$store.commit('saveCustom', this.$store.state.custom)
      }
    }
  }
}
</script>

<style scoped>
</style>
